# Microsoft.WorkloadMonitor 
    
> see https://aka.ms/autorest

This is the AutoRest configuration file for Microsoft.WorkloadMonitor.

---
## Getting Started 
To build the SDK for Microsoft.WorkloadMonitor, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information 
These are the global settings for the API.

``` yaml
openapi-type: arm
tag: package-2018-08-31-preview
```


### Tag: package-2018-08-31-preview

These settings apply only when `--tag=package-2018-08-31-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-08-31-preview'
input-file:
- microsoft.workloadmonitor/preview/2018-08-31-preview/Microsoft.WorkloadMonitor.json
```

``` yaml
directive:
- suppress:
    - R3026 # Create/Update/Delete operations are not exposed.
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python 
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-node
```


### C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.WorkloadMonitor
  output-folder: $(csharp-sdks-folder)/WorkloadMonitor/Management.WorkloadMonitor/Generated
  clear-output-folder: true
```

## Python

These settings apply only when `--python` is specified on the command line.
Please also specify `--python-sdks-folder=<path to the root directory of your azure-sdk-for-python clone>`.
Use `--python-mode=update` if you already have a setup.py and just want to update the code itself.
``` yaml $(python)
python-mode: create
python:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 2
  namespace: azure.mgmt.workloadmonitor
  package-name: azure-mgmt-workloadmonitor
  clear-output-folder: true
```
``` yaml $(python) && $(python-mode) == 'update'
python:
  no-namespace-folders: true
  output-folder: $(python-sdks-folder)/azure-mgmt-workloadmonitor/azure/mgmt/workloadmonitor
```
``` yaml $(python) && $(python-mode) == 'create'
python:
  basic-setup-py: true
  output-folder: $(python-sdks-folder)/azure-mgmt-workloadmonitor
```



## Go

These settings apply only when `--go` is specified on the command line.

``` yaml $(go)
go:
  license-header: MICROSOFT_APACHE_NO_VERSION
  namespace: workloadmonitor
  clear-output-folder: true
```

### Go multi-api

``` yaml $(go) && $(multiapi)
batch:
  - tag: package-2018-08-31-preview
```

### Tag: package-2018-08-31-preview and go

These settings apply only when `--tag=package-2018-08-31-preview --go` is specified on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2018-08-31-preview' && $(go)
output-folder: $(go-sdk-folder)/services/preview/workloadmonitor/mgmt/2018-08-31-preview/workloadmonitor
```


## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.workloadmonitor
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-workloadmonitor
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2018-08-31-preview
```

### Tag: package-2018-08-31-preview and java

These settings apply only when `--tag=package-2018-08-31-preview --java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2018-08-31-preview' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.workloadmonitor.v2018_08_31_preview
  output-folder: $(azure-libraries-for-java-folder)/workloadmonitor/resource-manager/v2018_08_31_preview
regenerate-manager: true
generate-interface: true
```